Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
01182 Graphics Minor Always Feb 12, 2008, 09:41 Jul 19, 2010, 15:29
Tester Smitdogg View Status Public Platform
Assigned To Resolution Bugs That Aren't Bugs OS
Status [?] Resolved Driver cps2.cpp
Version N/A Fixed in Version Build
Summary 01182: ssf2xj: The entire screen glitches up every once in a while.
Description The entire screen glitches up every once in a while, it's pretty rare, sometimes just once in an entire game (beating the whole game) but for 1 frame every once in a while, either the whole screen is scrambled garbage or most of it is. It's a glitch in the original game. Here is a video of the original PCB running:

http://smitdogg.mameworld.info/mametesters/ssf2xj.mpg
Steps To Reproduce
Additional Information
Flags Verified with Original
Regression Version
Affected Sets / Systems ssf2xj
Attached Files
png file icon 0000.png (27,399 bytes) Mar 19, 2008, 09:33
Relationships
There are no relationship linked to this issue.
Notes
5
User avatar
No.00254
Layne
Tester
Mar 19, 2008, 09:33
edited on: Mar 19, 2008, 09:35
I captured the frame of this glitch into the intro, it happens 2 times on MAME, when Ryu screen go to Cammy stage screen. Really hard to caught this glitch!
User avatar
No.00272
Foxhack
Tester
Mar 20, 2008, 02:32
edited on: Mar 20, 2008, 04:32
It actually happens four times. Whenever the screen switches from Ryu to Chun-Li or Cammy, that glitch happens. I know very little about the system but it reminds me of how NES games glitch out for an instant while they swap out the graphics loaded into memory needed for different levels.

I don't remember seeing this on a real machine, but I only played the game a few times back in the day.
User avatar
No.00274
Tafoid
Administrator
Mar 20, 2008, 02:48
I'll confirm the bug - keep it as possible since we have recent observations and a snap.
User avatar
No.02388
BMF54123
Tester
Sep 7, 2008, 07:42
If it helps, I can confirm that X-Men: Children of the Atom has glitches between intro scenes on the real hardware, though not quite to that extent (usually just misplaced background layers and missing sprites). It's very similar to what happens when you soft-reset the game. I'm guessing it takes a couple frames to swap out the backgrounds, but why didn't Capcom just turn off the screen, or darken the palette?
User avatar
No.06386
Layne
Tester
Jul 19, 2010, 14:01
Just verified on a real pcb, it's not a MAME bug, but a bug of the original game.

Soon Smitdogg will upload a video taken from the same pcb in MAME as proof.